Contributing
============
There are many ways to contribute.

1. [Report defects and provide suggestions](https://github.com/Microsoft/Git-Credential-Manager-for-Mac-and-Linux/issues).
2. Review [pull requests](https://github.com/Microsoft/Git-Credential-Manager-for-Mac-and-Linux/pulls), even if it's just to verify that the defect was fixed or that the feature was implemented as intended.
3. Contribute fixes and features:
    1. Fork this repository ( https://github.com/Microsoft/Git-Credential-Manager-for-Mac-and-Linux/fork ) and clone it.
    2. Create a feature branch (`git checkout -b my-new-feature`).
    3. Make small commits as you go along (`git commit -am 'Add helper method with test'`).
    4. Push your feature branch to your fork (`git push origin my-new-feature`),
    5. Create a new Pull Request ( https://github.com/Microsoft/Git-Credential-Manager-for-Mac-and-Linux/pulls ).

For source code contributions, you will need to complete a **Contributor License Agreement (CLA)**. Briefly, this agreement testifies that you grant us permission to use the submitted change according to the terms of the project's license, and that the work being submitted is under the appropriate copyright.

The Contributor License Agreement (CLA) process
-----------------------------------------------
The CLA process is automated on this GitHub repository.  Here is what happens when you open a pull request:

1. The Microsoft Pull Request BOT (MSBOT) checks whether the change requires a CLA. For example, trivial typo fixes usually do not require a CLA. If no CLA is required, the pull request is labeled as **cla-not-required** and you are done.
2. If the change requires a CLA, the system checks whether you have already signed a CLA. If you have, the pull request is labeled as **cla-signed** and you are done.
3. If you need to sign a CLA, MSBOT will label the request as **cla-required** and post a comment to the pull request asking you to sign in to a website to sign the CLA (it is fully digital and no faxing is involved).
4. Once you have signed a CLA, the pull request is labeled as **cla-signed** and you are done.

Only pull requests that are labeled as **cla-not-required**, **cla-signed**, or **cla-already-signed** can be accepted.
